<?php

class UserController extends BaseController {

    protected $notifi_password;

    public function index_man_user() {
        $users = User::paginate(10);
        return View::make('template/back-end/listuser', array('users' => $users));
    }

    public function getSignup() {

        return View::make('template/front-end/signup');
    }

    public function getSignupSuccess() {

        return View::make('template/front-end/signup-success');
    }

    public function postSignup() {

        $email = Input::get('txtemail');

        $password = Input::get('txtpassword');

        $code = str_random(60);

        $user = User::create(
                        array(
                            'email' => $email,
                            'username' => $email,
                            'password' => Hash::make($password),
                            'code' => $code,
                            'active' => 0,
        ));

        if ($user) {

            Mail::send('emails.auth.active', array('link' => URL::route('account-activate', $code), 'username' => $email), function($message) use ($user) {

                $message->to($user->email, $user->username)->subject('Activate your account');
            });

            return Redirect::route('signup-success')
                            ->with('global', 'Your account has been create! We will send you an email to active your account');
        } else {

            return Redirect::route('account-signup');
        }
    }

    public function getActiveFail() {

        return View::make('template/front-end/active-fail');
    }

    public function getActivate($code) {

        $user = User::where('code', '=', $code)->where('active', '=', 0);

        if ($user->count()) {

            $user = $user->first();

            $user->active = 1;

            $user->code = '';
        }

        if ($user->save()) {

            return Redirect::route('home');
        }

        return Redirect::route('active-fail')->with('global', 'Sorry we could not active your account. Please contact Admin if you want to signup');
    }

    public function getSignIn() {

        return View::make('template/front-end/login');
    }

    public function postSignIn() {

        $auth = Auth::attempt(array(
                    'email' => Input::get('txtemail'),
                    'password' => Input::get('txtpassword'),
                    'active' => 1
        ));

        if ($auth) {

            return Redirect::intended('/');
        } else {

            return Redirect::route('account-signin')->with('global', 'Your email address is problem! Please try again!!');
        }
    }

    public function getLogout() {

        Auth::logout();

        return Redirect::route('home');
    }

    public function getPasswordReset() {

        return View::make('template/front-end/reset-password');
    }

    public function generateRandomString($length = 8) {

        $characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';

        $randomString = '';

        for ($i = 0; $i < $length; $i++) {

            $randomString .= $characters[rand(0, strlen($characters) - 1)];
        }

        return $randomString;
    }

    public function postPasswordReset() {

        $length = 8;

        $randomString = substr(str_shuffle("0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ"), 0, $length);

        $pass = $randomString;

        $email = Input::get('txtemail');

        $user = User::where('email', '=', $email)->where('active', '=', 1);

        if ($user->count()) {

            $user = $user->first();

            $user->password = Hash::make($randomString);

            $user->save();

            if ($user->save()) {

                Mail::send('emails.auth.reset-pass', array('pass' => $pass, 'username' => $email), function($message) use ($user) {

                    $message->to($user->email, $user->username)->subject('Reset password');
                });

                return Redirect::route('reset-password-success')->with('global', 'A new password hass been send. Please check your mail!!!');
            } else {

                return Redirect::route('password-reset')->with('global', 'Your email is invalid or not register!!');
            }
        } else {

            return Redirect::route('password-reset')->with('global', 'Your email is invalid or not register!!');
        }
    }

    public function getResetPasswordSuccess() {

        return View::make('template/front-end/reset-password-success');
    }

    public function getAccountSetting() {

        return View::make('template/front-end/setting-account');
    }

    public function postSetUsername() {

        if (isset(Auth::user()->email)) {

            $user = User::where('email', '=', Auth::user()->email)->where('password', '=', Auth::user()->password);

            if ($user->count()) {

                $user = $user->first();

                $user->username = Input::get("txtusername");

                $user->save();
            }

            if ($user->save()) {

                return Redirect::route('get-account-setting');
            } else {

                return Redirect::route('get-account-setting')->with('global', 'You have problem to change your Username! Please try again!');
            }
        }
    }

    public function postNotifilePassword() {

        $user = User::where('email', '=', Auth::user()->email)->where('password', '=', Auth::user()->password);

        $user = $user->first();

        if ($user->notifi_pass == 1) {

            $user->notifi_pass = 0;

            $user->save();
        } else {

            $user->notifi_pass = 1;

            $user->save();
        }

        return 'save';
    }

    public function postChangPassword() {

        $auth = Auth::attempt(array(
                    'email' => Auth::user()->email,
                    'password' => Input::get('txtpassword'),
                    'active' => 1
        ));

        if ($auth) {

            $user = User::where('email', '=', Auth::user()->email);



            $user = $user->first();

            $user->password = Hash::make(Input::get('txtnewpassword'));

            $user->save();

            if ($user->save()) {

                if ($user->notifi_pass == 1) {



                    Mail::send('emails.auth.change-password', array('pass' => Input::get('txtnewpassword'), 'username' => Auth::user()->username), function($message) use ($user) {

                        $message->to($user->email, $user->username)->subject('Change Account');
                    });
                }

                return Redirect::route('get-account-setting')->with('global', 'Your password has been change');
            } else {

                return Redirect::route('get-account-setting')->with('global', 'Sorry! There was problem to change your password! Please try again');
            }
        } else {

            return Redirect::route('get-account-setting')->with('global', 'Sorry! There was problem to change your password! Please try again');
        }
    }

    /* admin */

    public function edituser() {
        $id = Input::get('id');
        $user = User::find($id);
        $url_ac = route('update-user');
        $result = "<a id='close' href='#' class='close'/></a> 
    <div align='center' style='margin-top:20px'> 
            <a class='info'>Enter Infomation </a><br/> 
            <form id='frm-edit' method='post' action='$url_ac'>
                <div class='info_add'>
                    <div>
                        <label for='email'>Email</label>
                        <input id='edit-email' name='email' type='text' value='$user->email'>
                    </div>
                    <div>
                        <label for='username'>Name</label>
                        <input id='edit-username' type='text' name='username' value='$user->username'  >
                    </div>
                  
                    <input class='add'  id='bt_update' type='submit' name='bt_update' value='Update'>
                    <input  id='id' type='hidden' name='id' value='$user->id'>
                    <div><span class='info' id='alert'></span></div>
                </div>
            </form>
        </div> ";
        return $result;
    }

    public function delete_user() {
        $id = Input::get('id');
        $user = User::find($id);
        $user->delete();
    }

    public function add_user() {
        $username = Input::get('username');
        $email = Input::get('email');
        $password = Hash::make(Input::get('password'));
        if ($this->checkemail($email)) {
            $user = new User;
            $user->username = $username;
            $user->email = $email;
            $user->password = $password;
            $user->save();
            return Redirect::to('/admin/user');
        } else {
            return Redirect::to('/admin/user')->with('message', 'Email is used !');
        }
    }

    public function checkemail($email) {
        $user = User::where('email', '=', $email)->count();
        return $user > 0 ? false : true;
    }

    public function update_user() {
        $id = Input::get('id');
        $username = Input::get('username');
        $email = Input::get('email');
        $user = User::find($id);
        if ($email != $user->email) {
            if ($this->checkemail($email)) {
                $user->username = $username;
                $user->email = $email;
                $user->save();
                return Redirect::to('/admin/user');
            } else {
                return Redirect::to('/admin/user')->with('message', 'Email is used !');
            }
        } else {
            $user->username = $username;
            $user->email = $email;
            $user->save();
            return Redirect::to('/admin/user');
        }
    }

    public function ban_user() {
        $id = Input::get('id');
        $user = User::find($id);
        $status = $user->active;
        $status = $status == 0 ? 1 : 0;
        $user->active = $status;
        $user->save();
        $url_ac = route('admin-user');
        return $url_ac;
    }

    public function user_his() {
        $id = Input::get('id');
        $trans = DB::table('transaction')->where('id_user', '=', $id)->paginate(10);
        return View::make('template/back-end/listtran', array('trans' => $trans));
    }

    public function get_log_info() {
        $id = Input::get('id');
        $tran = DB::table('transaction')->where('id', '=', '1')->get();
        if (count($tran) > 0) {
            $tran = $tran[0];
        } else {
            $tran = new stdClass();
        }
        $t_id = Lang::get('admin-user.id');
        $date = Lang::get('admin-user.datetran');
        $totalfrom = Lang::get('admin-user.totalfrom');
        $totalto = Lang::get('admin-user.totalto');
        $typefrom = Lang::get('admin-user.typefrom');
        $typeto = Lang::get('admin-user.typeto');
        $addfrom = Lang::get('admin-user.addfrom');
        $addto = Lang::get('admin-user.addto');
        $ex = Lang::get('admin-user.exchange');
        $result = " <a id='close' href='#' class='close'/></a> 
            <div align='center' style='margin-top:20px'> 
                    <a class='info'>Log Infomation </a><br/> 
                    <div class='col-md-12'>
                    <form role='form'>
                        <div class='form-group pull-left col-md-12 '>
                            <label class='title-label pull-left' for='id'>$t_id </label>
                            <label class='value'>$tran->id</label>
                        </div>
                        <div class='form-group pull-left col-md-12'>
                            <label class='title-label pull-left' for='id'>$date</label>
                            <label  class='value'>$tran->date</label>
                        </div>
                        <div class='form-group pull-left col-md-12'>
                            <label class='title-label pull-left' for='id'>$totalfrom</label>
                            <label  class='value'>$tran->totalfrom</label>
                        </div>
                        <div class='form-group pull-left col-md-12'>
                            <label class='title-label pull-left' for='id'>$totalto</label>
                            <label  class='value'>$tran->totalto</label>
                        </div>
                        <div class='form-group pull-left col-md-12'>
                            <label class='title-label pull-left' for='id'>$typefrom</label>
                            <label  class='value'>$tran->typefrom</label>
                        </div>
                        <div class='form-group pull-left col-md-12'>
                            <label class='title-label pull-left' for='id'>$typeto</label>
                            <label  class='value'>$tran->typeto</label>
                        </div><div class='form-group pull-left col-md-12'>
                            <label class='title-label pull-left' for='id'>$addfrom</label>
                            <label  class='value'>$tran->addfrom</label>
                        </div><div class='form-group pull-left col-md-12'>
                            <label class='title-label pull-left' for='id'>$addto</label>
                            <label  class='value'>$tran->addto</label>
                        </div>
                        <div class='form-group pull-left col-md-12'>
                            <label class='title-label pull-left' for='id'>$ex</label>
                            <label  class='value'>$tran->exchange</label>
                        </div>
                        </form>
                        </div>
                </div>";
        return $result;
    }

}

?>