<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the Closure to execute when that URI is requested.
|
*/

Route::get('/',array(
	'as'=>'home',
	'uses'=>'HomeController@home'
	));
Route::get('/account/logout',array(
	'as'=>'account-logout',
	'uses'=>'UserController@getLogout'
	));
Route::group(array('before'=>'guest'),function(){
	Route::group(array('before'=>'csrf'),function(){
		/** Create account POST**/
	Route::post('/account/signup',array(
		'as'=>'account-signup-post',
		'uses'=>'UserController@postSignup'
		));
	});
	/** Create account GET**/
	Route::get('/account/signup',array(
		'as'=>'account-signup',
		'uses'=>'UserController@getSignup'
		));
	Route::get('/account/signin',array(
		'as'=>'account-signin',
		'uses'=>'UserController@getSignIn'
		));
	Route::post('/account/signin',array(
		'as'=>'account-sign-in',
		'uses'=>'UserController@postSignIn'
		));

	Route::get('/signup/success',array(
	'as'=>'signup-success',
	'uses'=>'UserController@getSignupSuccess'
	));



	Route::get('/signup/active-fail',array(
	'as'=>'active-fail',
	'uses'=>'UserController@getActiveFail'
	));
	Route::get('/account/activate/{code}',array(
		'as'=>'account-activate',
		'uses'=>'UserController@getActivate'
		));

});




Route::get('/account/reset-password',array(
	'as'=>'password-reset',
	'uses'=>'UserController@getPasswordReset'
	));
Route::post('/account/reset-password',array(
	'as'=>'password-reset-post',
	'uses'=>'UserController@postPasswordReset'
	));
Route::get('/reset-password-success',array(
	'as'=>'reset-password-success',
	'uses'=>'UserController@getResetPasswordSuccess'
	));
Route::controller('user','UserController');

Route::get('/login',function(){
	return View::make('template/front-end/login');
});
Route::get('/account-setting',array(
	'as'=>'get-account-setting',
	'uses'=>'UserController@getAccountSetting'
	));
Route::post('/account-setting',array(
		'as'=>'post-setusername',
		'uses'=>'UserController@postSetUsername'
		));
Route::post('/account/change-password',array(
		'as'=>'post-changpassword',
		'uses'=>'UserController@postChangPassword'
	));
Route::post('/account-setting',array(
	'as'=>'post-notifi-pass',
	'uses'=>'UserController@postNotifilePassword'
	));

Route::get('home',array(
	'as'=>'get-change-money',
	'uses'=>'MoneyController@postChangeMoney'
	));

Route::get('/about',array(
	'as'=>'get-about',
	'uses'=>'InfoController@getAboutUs'
	));
Route::get('/faq',array(
	'as'=>'get-faq',
	'uses'=>'InfoController@getFAQ'
	));
Route::get('/news',array(
	'as'=>'get-news',
	'uses'=>'InfoController@getNews'
	));
Route::get('/news/peercoin',function(){
	return View::make('template/front-end/news_peercoin');
});
Route::get('/news/okpay',function(){
	return View::make('template/front-end/news_okpay');
});
Route::get('/news/egopay',function(){
	return View::make('template/front-end/news_egopay');
});
Route::get('/news/partner-program',function(){
	return View::make('template/front-end/news_partner_program');
});
Route::get('/news/news_bitcoin_foundation',function(){
	return View::make('template/front-end/news_bitcoin_foundation');
});
Route::get('/news/news_btcltc_exchange',function(){
	return View::make('template/front-end/news_btcltc_exchange');
});
Route::get('/news/Pay BTC bills with LTC',function(){
	return View::make('template/front-end/news_payBTC_bills_with_LTC');
});
Route::get('/news/Stay tuned with us',function(){
	return View::make('template/front-end/news_stay');
});
Route::get('/vacancies',function(){
	return View::make('template/front-end/vacancies');
});
Route::get('/partner',function(){
	return View::make('template/front-end/partner');
});






Route::post('/exchange/btc_egopay',array(
	'as'=>'btctoegopay',
	'uses'=>'MoneyController@postBTC_EGOPAY'
	));


Route::get('/exchange/btc_ltc',array(
	'as'=>'btntoltc',
	'uses'=>'MoneyController@getEgopayExchange'
	));







Route::post('/exchange/btc_egopay',array(
	'as'=>'exchange-egopay',
	'uses'=>'MoneyController@postEgopayExchange'
	));
Route::get('exchange/btc_to_egopay',array(
	'as'=>'get-exchang-egopay',
	'uses'=>'MoneyController@getEgopayExchange'
	));








Route::get('/exchange/btc_egopay',array(
	'as'=>'get-exchange-egopay-2',
	'uses'=>'MoneyController@getExchangeBTC_EGP_2'
	));

Route::post('/exchange/btc_ltc',array(
	'as'=>'btntoltc',
	'uses'=>'MoneyController@postBTC_LTC'
	));


//// admin
// man user

Route::get('/admin/user', array(
    'as' => 'admin-user',
    'uses' => 'UserController@index_man_user'
));

Route::post('/user-edit', array(
    'as' => 'edit-user',
    'uses' => 'UserController@edituser'
));

Route::post('/user-delete', array(
    'as' => 'delete-user',
    'uses' => 'UserController@delete_user'
));
Route::post('/user-update', array(
    'as' => 'update-user',
    'uses' => 'UserController@update_user'
));
Route::post('/user-add', array(
    'as' => 'add-user',
    'uses' => 'UserController@add_user'
));
Route::post('/user-ban', array(
    'as' => 'ban-user',
    'uses' => 'UserController@ban_user'
));
Route::get('/test', function() {
 
});


// transaction

Route::get('/user-his', array(
    'as' => 'user-his',
    'uses' => 'UserController@user_his'
));
Route::post('/get-log',array(
    'as'=>'get-log',
    'uses'=>'UserController@get_log_info'
));