@extends('template')
@section('title')
<?php echo Lang::get('home-page.title')?>
@endsection
@section('content')
<section class="signup col-lg-12" style="padding:0px">
	<div class="form-signup">
		<form id="signup-form" action="{{ URL::route('account-signup-post') }}" method="post">
			<dl class="dl-horizontal">
			  <h2 class="title-sign-up-form"><?php echo Lang::get('signup.registration')?></h2>
			  <dt style="text-align: left"><label class="label-signup" for=""><?php echo Lang::get('signup.email')?></label></dt>
			  <dd style="padding-bottom: 20px"><input type="email" class="signup-input" name="txtemail" id="txtemail" value="" placeholder=""></dd>
			  <dt style="text-align: left"><label class="label-signup"><?php echo Lang::get('signup.password')?></label></dt>
			  <dd style="padding-bottom: 20px"><input type="password" class="signup-input" name="txtpassword" id="txtpassword" value="" placeholder=""></dd>
			  <dt style="text-align: left"><label class="label-signup"><?php echo Lang::get('signup.confirm_password')?></label></dt>
			  <dd style="padding-bottom: 20px"><input type="password" class="signup-input" name="txtrepassword" id="retxtpassword" value="" placeholder=""></dd>
			  <dt style="text-align: left"><label class="label-signup"><?php echo Lang::get('signup.capcha')?></label></dt>
			  <dd><input type="text" class="signup-input" name="txtcapcha" id="txtcapcha" value="" placeholder=""><input type="text" id="txtcaptcha" name="txtcaptcha" readonly="true" value="" placeholder=""></dd>
			  <dd><label id="lbcaptcha"></label></dd>
			</dl>
			<div class="col-lg-12 text-center" style="padding:0px;"><button class="btncontinue" id="btncontinue" type="submit"><?php echo Lang::get('signup.continue')?></button></div>
			{{Form::token()}}
		</form>
	</div>
</section>
<script type="text/javascript">
	$(document).ready(function(){
		function captcha()
		{
			var capt="";
			capt+=Math.random(100000,1000000);
			capt=capt.substring(3,10);
			return capt;
		}
		$('#txtcaptcha').val(captcha());
		$('#txtcaptcha').click(function()
			{
				$('#txtcaptcha').val(captcha());
			});
		$("#btncontinue").click(function(event) {
			/* Act on the event */
			var capcha=$("#txtcapcha").val();
			var captcha=$("#txtcaptcha").val();
			if(captcha!=capcha)
			{
				$("#lbcaptcha").html("<?php echo Lang::get('signup.message-captcha-wrong')?>").slideDown('slow').delay(2000).slideUp('slow');
				$("txtcapcha").focus();
				return false;
			}
		});
	});
	$("#signup-form").validate({
		rules:
		{
			txtemail:
			{
				required:true,
				maxlength:50,
				email:true
			},
			txtpassword:
			{
				required:true,
				minlength:6
			},
			txtrepassword:
			{
				equalTo:'#txtpassword',
				required:true,
			},

		},
		messages:
		{
			txtemail:
			{
				required:"<?php echo Lang::get('signup.message-email-required')?>",
				maxlenght:"<?php echo Lang::get('signup.message-email-maxlenght')?>",
				email:"<?php echo Lang::get('signup.message-email-wrong')?>"
			},
			txtpassword:
			{
				required:"<?php echo Lang::get('signup.message-password-required')?>",
				minlenght:"<?php echo Lang::get('signup.Password is not shorter than 6')?>"
			},
			txtrepassword:
			{
				equalTo:"<?php echo Lang::get('signup.message-password-retype')?>",
				required:"<?php echo Lang::get('signup.message-password-retype')?>"
			},
		},
	});
</script>
@endsection
